KDEINIT4(8)

NAME
kdeinit4 - Inicia todos os outros programas do KDE módulos dinâmicos do 'kdeinit' (KLMs).

SYNOPSIS

kdeinit4 [--help] [--no-fork | --no-kded | --suicide] [+programas | programas]

DESCRIçãO

O 'kdeinit4' é um lançador de processos, de certa forma semelhante ao famoso init, que é usado na inicialização do UNIX. Ele executa os programas do KDE e os módulos dinâmicos do 'kdeinit' (KLMs), iniciando-os de forma mais eficiente.

A utilização do 'kdeinit4' para lançar os aplicativos do KDE torna a inicialização de um aplicativo típico do KDE várias vezes mais rápida e reduz substancialmente o consumo de memória.

O 'kdeinit4' é compilado dinamicamente com todas as bibliotecas que um aplicativo normal do KDE necessita. Graças a esta técnica, a inicialização de um aplicativo torna-se muito mais rápida, porque com ele somente o aplicativo é que necessita ser compilado, enquanto que sem ele seria necessário compilar o aplicativo e as bibliotecas que ele usa.

DESVANTAGENS

O nome do processo dos aplicativos iniciadas pelo 'kdeinit4' chama-se "kdeinit4". Este problema pode ser corrigido, de certa forma, mudando o nome do aplicativo, tal como aparece no ps. Contudo, os aplicativos como o killall só irão ver o 'kdeinit4' como nome do processo. Para contornar esta situação, use o comando kdekillall (que existe em 'kdesdk/scripts') para os aplicativos que sejam iniciados com o 'kdeinit4'.

OPçõES

--help
    Mostra a ajuda sobre as opções.

--no-fork
    Não faz um 'fork', i.e., não sai até que todos os programas executados terminem

--no-kded
    Não inicia o 'kded'

--suicide
    Termina o aplicativo quando mais nenhum aplicativo do KDE estiver em execução

+programas
    executa os programas, tratando dos pedidos

programas
    executa os programas sem tratar dos pedidos

UTILIZAçãO

Uma forma padrão de executar este programa é simplesmente digitar o seguinte comando no console: kdeinit4 programa ou kdeinit4 +programa

ARQUIVOS

/tmp/kde-$USER/kdeinit4_$INSTANCIA
    ...

VARIáVEIS DE AMBIENTE

$HOME
    Indica a pasta pessoal do usuário atual

$KDE_HOME_READONLY
    Indica se a pasta pessoal do usuário é apenas para leitura

$KDE_IS_PRELINKED
    Se estiver definida, indica ao 'kdeinit4' que os programas do KDE são pré-carregados dinamicamente. (Este processo permite-lhe acelerar a funcionalidade de edição de ligações dinâmicas.)

$KDE_DISPLAY
    Se estiver definida, indica ao 'kdeinit4' que está rodando em um ambiente de trabalho do KDE.

VEJA TAMBéM

kded, kdekillall

PROBLEMAS

Ainda existem provavelmente muitos erros. Use o bugs.kde.org: http://bugs.kde.org para comunicá-los.

AUTHORS
Waldo Bastian <bastian@kde.org>, Mario Weilguni <mweilguni@sime.com>, Lubos Lunak <l.lunak@kde.org>.